Table of Contents

Class: Publishable | Twisted-0.19.0/twisted/spread/publish.py
--- | ---
An object whose cached state persists across sessions.
Base Classes |
--- | ---
flavors.Cacheable
Methods |
--- | ---
__init__ getStateToCacheAndObserveFor getStateToPublish getStateToPublishFor republish view_getStateToPublish
| __init__
    __init__ ( self,  publishedID )
| getStateToCacheAndObserveFor
    getStateToCacheAndObserveFor (
            self,
            perspective,
            observer,
            )
Get all necessary metadata to keep a clientside cache.
| getStateToPublish
    getStateToPublish ( self )
Implement me to return state to copy as part of the publish phase.
Exceptions |
--- | ---
NotImplementedError( "%s.getStateToPublishFor" % self.__class__ )
| getStateToPublishFor
    getStateToPublishFor ( self,  perspective )
Implement me to special-case your state for a perspective.
| republish
    republish ( self )
Set the timestamp to current and (TODO) update all observers.
| view_getStateToPublish
    view_getStateToPublish ( self,  perspective )
(internal)

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0